Bug 552639 - qemu-kvm crashes on startup: BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
qemu-kvm crashes on startup: BUG: kvm_dirty_pages_log_enable_slot: invalid pa...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-05 13:42 EST by Tom London
Modified: 2010-02-10 10:05 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-10 10:05:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of "thread apply all bt full" (7.42 KB, text/plain)
2010-01-05 15:02 EST, Tom London
no flags Details

  None (edit)
Description Tom London 2010-01-05 13:42:07 EST
Description of problem:
Latest koji version won't start with Win7 image.

Reverting to emu-kvm-0.11.0-12.fc13.x86_64.rpm "makes it work for me".

[tbl@tlondon ~]$ gdb qemu-kvm
GNU gdb (GDB) Fedora (7.0.1-19.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/qemu-kvm...Reading symbols from /usr/lib/debug/usr/bin/qemu-kvm.debug...done.
done.
(gdb) run -localtime -vga std -m 1024 -usbdevice tablet -name "Windows 7" -soundhw es1370 -hda ~/VirtualMachines/Win7.img
Starting program: /usr/bin/qemu-kvm -localtime -vga std -m 1024 -usbdevice tablet -name "Windows 7" -soundhw es1370 -hda ~/VirtualMachines/Win7.img
[Thread debugging using libthread_db enabled]
[New Thread 0x7f5d0a8f8710 (LWP 3598)]
[New Thread 0x7f5d08b9b710 (LWP 3599)]
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
<<<<<SNIP>>>>>
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
qemu: hardware error: register_ioport_write: invalid opaque
CPU #0:
EAX=00000405 EBX=00000004 ECX=00000004 EDX=00000cfc
ESI=00000cfc EDI=00000002 EBP=86e0fa44 ESP=86e0fa34
EIP=8162b062 EFL=00200206 [-----P-] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =0023 00000000 ffffffff 00c0f300 DPL=3 DS   [-WA]
CS =0008 00000000 ffffffff 00c09b00 DPL=0 CS32 [-RA]
SS =0010 00000000 ffffffff 00c09300 DPL=0 DS   [-WA]
DS =0023 00000000 ffffffff 00c0f300 DPL=3 DS   [-WA]
FS =0030 81772c00 00003748 00409300 DPL=0 DS   [-WA]
GS =0000 00000000 ffffffff 00000000
LDT=0000 00000000 ffffffff 00000000
TR =0028 801a6000 000020ab 00008b00 DPL=0 TSS32-busy
GDT=     81473000 000003ff
IDT=     81473400 000007ff
CR0=8001003b CR2=8ab55000 CR3=00185000 CR4=000006f8
DR0=00000000 DR1=00000000 DR2=00000000 DR3=00000000 
DR6=ffff0ff0 DR7=00000400
FCW=027f FSW=0000 [ST=0] FTW=00 MXCSR=00000000
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000

Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7f5d0a8f8710 (LWP 3598)]
0x0000003e9fc33755 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) set pagination off
(gdb) thread apply bt full
(gdb) bt full
#0  0x0000003e9fc33755 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = <value optimized out>
        selftid = <value optimized out>
#1  0x0000003e9fc34f35 in abort () at abort.c:92
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x7f5d0000002d, sa_sigaction = 0x7f5d0000002d}, sa_mask = {__val = {266287972397, 45, 45, 45, 80, 268968160080, 140037593886720, 206158430208, 4294967295, 140037408686080, 5, 8619472, 0, 1, 1, 0}}, sa_flags = -1618942527, sa_restorer = 0x5}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x000000000040d638 in hw_error (fmt=0x0) at /usr/src/debug/qemu-kvm-0.12.1.2/vl.c:350
        ap = {{gp_offset = 8, fp_offset = 48, overflow_arg_area = 0x7f5d0a8f7c50, reg_save_area = 0x7f5d0a8f7b80}}
        env = 0x0
#3  0x000000000049645b in register_ioport_write (start=<value optimized out>, length=<value optimized out>, size=6, func=0xffffffffffffffff, opaque=0x7f5d0a8f8710) at ioport.c:170
        i = <value optimized out>
        bsize = <value optimized out>
#4  0x000000000043a6a5 in es1370_map (pci_dev=0x2a79010, region_num=<value optimized out>, addr=65280, size=<value optimized out>, type=<value optimized out>) at /usr/src/debug/qemu-kvm-0.12.1.2/hw/es1370.c:918
        s = 0x2a79010
#5  0x000000000041821b in pci_update_mappings (d=<value optimized out>) at /usr/src/debug/qemu-kvm-0.12.1.2/hw/pci.c:997
        i = <value optimized out>
        new_addr = 65280
        filtered_size = 256
#6  0x0000000000426b4b in kvm_handle_io (count=<value optimized out>, size=<value optimized out>, direction=<value optimized out>, data=<value optimized out>, port=<value optimized out>) at /usr/src/debug/qemu-kvm-0.12.1.2/kvm-all.c:538
        i = <value optimized out>
        ptr = <value optimized out>
#7  kvm_run (count=<value optimized out>, size=<value optimized out>, direction=<value optimized out>, data=<value optimized out>, port=<value optimized out>) at /usr/src/debug/qemu-kvm-0.12.1.2/qemu-kvm.c:964
        r = <value optimized out>
        run = <value optimized out>
#8  0x0000000000426be9 in kvm_cpu_exec (env=<value optimized out>) at /usr/src/debug/qemu-kvm-0.12.1.2/qemu-kvm.c:1646
        r = <value optimized out>
#9  0x00000000004277d1 in kvm_main_loop_cpu (env=0x2a3c020) at /usr/src/debug/qemu-kvm-0.12.1.2/qemu-kvm.c:1888
        run_cpu = <value optimized out>
#10 ap_main_loop (env=0x2a3c020) at /usr/src/debug/qemu-kvm-0.12.1.2/qemu-kvm.c:1938
        env = 0x2a3c020
        signals = {__val = {18446744067267100671, 18446744073709551615 <repeats 15 times>}}
        data = <value optimized out>
#11 0x0000003ea0006aea in start_thread (arg=<value optimized out>) at pthread_create.c:297
        __res = <value optimized out>
        pd = 0x7f5d0a8f8710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140037585864464, -9015078130457763289, 268972398016, 0, 0, 3, 8961625780745151015, -9036118383572278745}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        pagesize_m1 = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#12 0x0000003e9fce234d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.
(gdb) 


Version-Release number of selected component (if applicable):
qemu-0.12.1.2-2.fc13

How reproducible:
Every time......

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2010-01-05 15:02:34 EST
Created attachment 381820 [details]
output of "thread apply all bt full"

Output from correct gdb command....
Comment 2 Tom London 2010-01-07 15:49:35 EST
Gleaning info from fedora-virt, appears new qemu requires seabios.

Following posted directions:


git clone git://git.linuxtogo.org/home/kevin/seabios.git
cd seabios
make
sudo cp out/bios.bin /usr/share/qemu/bios.bin

[Actually, I did a symbolic link instead of the cp...]

qemu-kvm now "works", that is, my win7 VM starts up, I can log in to it, change screen resolution, and I can shut it down.

I still get spew complaining about invalid parameters to 'kvm_dirty_pages_log_enable_slot' and 'kvm_dirty_pages_log_disable_slot':

[tbl@tlondon ~]$ win7
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
[tbl@tlondon ~]$
Comment 3 Tom London 2010-01-12 12:07:03 EST
qemu-common-0.12.1.2-3.fc13.x86_64
qemu-system-x86-0.12.1.2-3.fc13.x86_64
qemu-img-0.12.1.2-3.fc13.x86_64
qemu-kvm-0.12.1.2-3.fc13.x86_6

fixes the seabios problem.

Still get the below spew, however.  Appears to "work", though.

BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
BUG: kvm_dirty_pages_log_enable_slot: invalid parameters
BUG: kvm_dirty_pages_log_disable_slot: invalid parameters
Comment 4 Tom London 2010-02-10 10:05:01 EST
This no longer crashes.

I'll file the "BUG" spew as a separate BZ and close this.

Note You need to log in before you can comment on or make changes to this bug.